package com.persagy.cameractl.utils;

import lombok.ToString;

@ToString
public class ResultClass {
	public boolean name;
	public String reason;
	public Object resultData;

	public ResultClass() {
	};

	public ResultClass(boolean _name, String _reason) {
		this(_name, _reason, null);
	};
	
	public ResultClass(boolean _name, Object _resultData) {
		this(_name, "", _resultData);
	};

	public ResultClass(boolean _name, String _reason, Object _resultData) {
		this.name = _name;
		this.reason = _reason;
		this.resultData = _resultData;
	};
}
